/*Login Begin*/
.form-signin {
    width: 100%;
    max-width: 420px;
    padding: 15px;
    margin: 0 auto;
    margin-top: 10rem;
}
.form-label-group {
    position: relative;
    margin-bottom: 1rem;
}
    .form-label-group > input {
        padding: .75rem;
    }
.toggle-ref {
    transition: .3s;
}
    .toggle-ref:hover {
        cursor: pointer;
        color: #d4dfe6;
    }
.perf-list {
    list-style: square;
}
    .perf-list li {
        border-bottom: solid 1px rgba(150, 181, 208,.5);
    }
.responsive {
    font-weight: 400;
    font-size: .875rem !important;
}
    .responsive thead tr th:last-child {
        width: 10px;
    }
    .responsive tr {
    }
        .responsive tr:hover {
            background-color: #eeeaea !important;
            color: rgba(0,0,0,.4);
            font-weight: 600;
        }
        .responsive tr:focus {
            background-color: #e6cead;
            color: rgba(0,0,0,.3);
        }
.ve-danger {background-color: #dc3545;color: #d5cccc;}
    .ve-danger:hover {color: #dc3545;background-color: #d5cccc;}
.ve-warning {background-color: #d56900;color: #d5cccc;}
    .ve-warning:hover {color: #d56900;background-color: #d5cccc;}
.ve-info {background-color: #c4f711;color: #2c2e30;}
    .ve-info:hover {color: #c4f711;background-color: #2c2e30;}
.ve-primary {background-color: #05508f;color: #d5cccc;}
   .ve-primary:hover {color: #05508f;background-color: #d5cccc;}
.ve-success {background-color: #10893e;color: #d5cccc;}
   .ve-success:hover {color: #10893e;background-color: #d5cccc;}
.ve-light {background-color: #d2d2d2;color: #2c2e30;}
    .ve-light:hover {color: #d2d2d2;background-color: #8d8888;}

.list-group-item-two {
    position: relative;
    display: block;
    padding: 10px 15px;
    margin-bottom: -1px;
    background-color: #fff;
    border: 1px solid #ddd;
    width: 50%;
    float: left;
}

.app-scrollbar {
    overflow-x: hidden;
    overflow-y: scroll;
    max-height: 600px;
}
::-webkit-scrollbar{
    width:4px;
}
::-webkit-scrollbar-track {
    background-color: #e1dcdc;
}
::-webkit-scrollbar-thumb {
    background-color: #e1dcdc;
}
::-webkit-scrollbar-thumb:hover{
    background-color:#13133d66;
}

.b-r-one {
    background-color: rgba(220, 242, 29, 0.80);
}
.b-r-two {
    background-color: rgba(29, 242, 222, 0.80);
}
.responsive tfoot tr:first-child {
    display: none;
}
.totalRowCount {
    font-size: .9em !important;
}
.rowSizing {
    font-size: .9em !important;
}
.rowPaging {
    font-size: .9em !important;
}
.filterTextWidth {
    width: 70px;
}
.modal-click {
}
.modal-save-click {
}
.mini {
    font-size: .825em !important;
}
.fsm {
    font-size: .875em !important;
}
.footer-x{
    position:absolute;bottom:0;width:100%;height:60px;
    background-color:whitesmoke;
}
.fs-16{
    font-size:1rem;
}
.notification-change {
    animation: notification-alert-color-change 600ms infinite alternate;
}
@keyframes notification-alert-color-change {
    from {
        background-color: #007bff;
        color: #dbd0d0;
    }
    to {
        background-color: #dc3545;
        color: #e4cccc;
    }
}

@media screen and (max-width:575px) {
    .responsive {
        border: 0;
    }

        .responsive caption {
            font-size: 1.3em;
        }

        .responsive thead tr:first-child {
            display: inline-block;
            position: absolute;
        }

        .responsive thead tr:last-child {
            border: none;
            clip: rect(0 0 0 0);
            height: 1px;
            margin: -1px;
            overflow: hidden;
            padding: 0;
            position: absolute;
            width: 1px;
            color: red;
            background-color: #000;
        }

        .responsive tbody {
            display: block;
        }

            .responsive tbody tr {
                border-bottom: 1px solid #ddd;
                display: block;
                margin-bottom: .625em;
            }

                .responsive tbody tr td {
                    display: block;
                    font-size: .875em;
                    border-bottom: solid 1px rgba(0,0,0,.4);
                    text-align: right !important;
                }

                    .responsive tbody tr td:before {
                        content: attr(data-label);
                        float: left;
                        font-weight: bold;
                        text-transform: uppercase;
                    }

                    .responsive tbody tr td:last-child {
                        border-bottom: 0;
                    }

        .responsive tfoot tr {
            display: none;
        }

            .responsive tfoot tr:nth-child(1) {
                display: block;
            }
}
@supports (-ms-ime-align:auto) {
    .form-label-group input:-ms-input-placeholder {
        color: #777;
    }
}
@media all and (-ms-high-contrast:none),(-ms-high-contrans:active) {
    .form-label-group input:-ms-input-placeholder {
        color: #777;
    }
}
.tr-sm:hover {
    background-color: rgba(150, 181, 208,.5);
}
.f01-25 {
    width: 3rem;
}
/*Login End*/
.row-hover {
    cursor: pointer;
}
    .row-hover:hover {
        background-color: #d2d2d2;
    }
    .row-hover:focus {
        background-color: #e6cead;
    }
.frm-modal label {
    font-size: 1rem;
    font-weight: 600;
}
.dimmer-container {
    display: flex;
    display: -webkit-box;
    display: -ms-flexbox;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    background-color: rgba(0,0,0,.3);
}
.dimmer {
    width: 6rem;
    height: 6rem;
    border: solid 1px rgba(150, 181, 208,.5);
    box-shadow: rgba(0,0,0,.4) -5px -9px 14px 2px;
    background-color: #d2d2d2;
    margin: 0 auto;
    -webkit-animation: dimmer-rotate 1.2s infinite ease-in-out;
    animation: dimmer-rotate 1.2s infinite ease-in-out;
}
@-webkit-keyframes dimmer-rotate {
    0% {
        -webkit-transform: perspective(120px)
    }

    50% {
        -webkit-transform: perspective(120px) rotateY(180deg)
    }

    100% {
        -webkit-transform: perspective(120px) rotateY(180deg) rotateX(180deg)
    }
}
@keyframes dimmer-rotate {
    0% {
        transform: perspective(120px) rotateX(0deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg)
    }

    50% {
        transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg)
    }

    100% {
        transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
        -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    }
}
@media print {
    body.modalprinter * {
        visibility: hidden;
    }

    body.modalprinter .modal-dialog.focused {
        position: absolute;
        padding: 0;
        margin: 0;
        left: 0;
        top: 0;
    }

        body.modalprinter .modal-dialog.focused .modal-content {
            border-width: 0;
        }

            body.modalprinter .modal-dialog.focused .modal-content .modal-header .modal-title,
            body.modalprinter .modal-dialog.focused .modal-content .modal-body,
            body.modalprinter .modal-dialog.focused .modal-content .modal-body * {
                visibility: visible;
            }

            body.modalprinter .modal-dialog.focused .modal-content .modal-header,
            body.modalprinter .modal-dialog.focused .modal-content .modal-body {
                padding: 0;
            }

                body.modalprinter .modal-dialog.focused .modal-content .modal-header .modal-title {
                    margin-bottom: 20px;
                }

    .worker-table tbody tr {border: solid 1px #000;}
    .l-bor {border-left: solid 1px #000 !important;}
    .b-bor {border-bottom: solid 1px #000 !important;}
    .t-bor {border-top: solid 1px #000 !important;}
    .r-bor {border-right: solid 1px #000 !important;}
    .tr-height-long{height:400px;}
    .tr-height-medium{height:300px;}
    .tr-height-small{height:150px;}     
    .f-bottom {position: absolute;left: 0;bottom: 0;height: 100px;width: 100%;overflow: hidden;}
}